package pong.commun.messages;

import ca.ntro.app.messages.Message;
import pong.commun.enums.Position;
import pong.commun.modeles.ModelePartie;
import pong.commun.modeles.ModeleSauvegarde;
import pong.commun.monde2d.MondePong2d;

public class MsgAjouterPoint extends Message<MsgAjouterPoint> {
	
	private MondePong2d monde2d;
	private Position position;
    
    public MsgAjouterPoint setPosition(Position position) {
    	this.position = position;
        
        return this;
    }

    public MsgAjouterPoint setMonde2d(MondePong2d monde2d) {
    	this.monde2d = monde2d;
        
        return this;
    }

    public void ajouterPointA(ModelePartie partie) {
        partie.ajouterPointPour(position);
    }

	public void sauvegarderDans(ModeleSauvegarde sauvegarde) {
		sauvegarde.setMonde2d(monde2d);
	}

}
