package pong.commun.modeles;


import ca.ntro.app.models.Model;
import ca.ntro.app.models.WriteObjectGraph;
import pong.commun.enums.Position;
import pong.commun.valeurs.InfoJoueur;
import pong.frontal.vues.VuePartie;
import pong.maquettes.MaquetteJoueurs;

public class ModelePartie implements Model, WriteObjectGraph {
	
	public InfoJoueur infoJoueurGauche = new InfoJoueur(MaquetteJoueurs.creerJoueur("alice"));
	public InfoJoueur infoJoueurDroit  = new InfoJoueur(MaquetteJoueurs.creerJoueur("bob"));

	public void ajouterPointPour(Position position) {
		
		switch(position){
			
		case GAUCHE:
			infoJoueurGauche.ajouterPoint();
			break;

		case DROITE:
			infoJoueurDroit.ajouterPoint();
			break;
		}
	}

	public void afficherSur(VuePartie vuePartie) {
		vuePartie.afficherPrenomJoueurGauche(infoJoueurGauche.joueur.prenom);
		vuePartie.afficherPrenomJoueurDroit(infoJoueurDroit.joueur.prenom);
		
		vuePartie.afficherScoreJoueurGauche(infoJoueurGauche.score);
		vuePartie.afficherScoreJoueurDroit(infoJoueurDroit.score);
		
	}

}
