package pong.frontal.utils;

import java.util.HashMap;
import java.util.Map;

import ca.ntro.app.models.ModelValue;
import pong.commun.enums.Action;
import pong.commun.enums.Position;

public class ActionsActivesParPosition implements ModelValue {
	
	private Map<Position, ActionsActives> actionsActives = new HashMap<>();

	public ActionsActivesParPosition() {
		for(Position position : Position.values()) {
			actionsActives.put(position, new ActionsActives(position));
		}
	}

	public void activer(Position position, Action action) {
		actionsActives.get(position).activer(action);
	}

	public void desactiver(Position position, Action action) {
		actionsActives.get(position).desactiver(action);
	}

	public void toutDesactiver() {
		for(ActionsActives actionsActives : actionsActives.values()) {
			actionsActives.toutDesactiver();
		}
	}
}
